# Website for Metz's BDE List

## Installation:

1. Requirements:

* Create a bde-list user in sudoers: `sudo useradd -m -s /bin/bash -G sudo bde-list` and connect to it.
* Install nvm: `curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.2/install.sh | bash`  
* Install node: `nvm install 18.12.1 && nvm use 18.12.1`  
* Install pm2: `npm install pm2 -g`  
* Make pm2 launch on reboot: `pm2 startup`  
* Install nginx: `sudo apt-get install nginx`
* Remove default virtual host: `sudo unlink /etc/nginx/sites-enabled/default`

2. Installation:

* Clone this repo
* Install dependencies: `npm i`
* move conf: `sudo mv reverse-proxy.conf /etc/nginx/sites-available/`
* Enable site: `sudo ln -s /etc/nginx/sites-available/reverse-proxy.conf /etc/nginx/sites-enabled/reverse-proxy.conf`
* restart nginx: `sudo systemctl restart nginx`
* Enter your LDAP bind user cred by running: `node ldap-conf.js`
* Run the server: `pm2 start index.js --name bde-list -i 1`
* Save current configuration: `pm2 save`
